from util import getQuery
import pandas as p
import matplotlib.pyplot as plt
import seaborn as sns


query = """
SELECT icp_id, read_date + CONCAT(period / 2, ':', period %% 2 * 30, ':00')::time AS read_time,
    kwh_tot
FROM public.coup_tall_april WHERE icp_id LIKE (%s) ORDER BY icp_id, read_time;
"""

qparams = ['%%1117']

df = getQuery(query, qparams)

print(df.info())

sns.set()

sns.scatterplot(x = 'read_time', y = 'kwh_tot', hue = 'icp_id', style = 'icp_id', data = df)

plt.show()
